API-Version
v2
Request-Methode
PUT
Operation-ID
deprecated-storagespace-replace-project-notification-threshold
Request
Responses
Nutzungsbeispiele
$ curl \
--fail \
--location \
-X PUT \
-d '{"notificationThresholdInBytes":10000}' \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
-H 'Content-Type: application/json' \
https://api.mittwald.de/v2/projects/string/storage-space-notification-threshold
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";
const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.project.deprecatedStoragespaceReplaceProjectNotificationThreshold({
"projectId": "string",
"data": {
"notificationThresholdInBytes": 10000
}
});
assertStatus(response, 204);
use \Mittwald\ApiClient\Generated\V2\Clients\Project\DeprecatedStoragespaceReplaceProjectNotificationThreshold\DeprecatedStoragespaceReplaceProjectNotificationThresholdRequest;
use \Mittwald\ApiClient\Generated\V2\Clients\Project\DeprecatedStoragespaceReplaceProjectNotificationThreshold\DeprecatedStoragespaceReplaceProjectNotificationThresholdRequestBody;
$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));
// TODO: Please consult the properties and constructor signature of
// DeprecatedStoragespaceReplaceProjectNotificationThresholdRequestBody to learn how to construct a valid instance
$body = new DeprecatedStoragespaceReplaceProjectNotificationThresholdRequestBody(/* TODO: ... */);
$request = (new DeprecatedStoragespaceReplaceProjectNotificationThresholdRequest(
projectId: "string",
body: $body
));
$response = $client->project()->deprecatedStoragespaceReplaceProjectNotificationThreshold($request);
var_dump($response->getBody();